Subject: Diff colorizer confused by dos newlines

From: Phillip Susi <[email-masked]>
Date: Tue, 09 Jul 2013 14:28:32 -0400

When I try to look at a color diff of a file using dos newlines, the
output gets an odd sequence of ansi escapes and a stray carriage
return showing up only on the + lines, but not the -.  The normal
looking - lines look like this:

\r\n ( from previous line ), ansi color escape, '-', whitespace, text,
terminating ansi escpae ( [m ), \r\n.

The broken + lines look like this:

\r\n ( from previous line ), ansi color sequence, '+', terminating
ansi escape ( [m ), whitespace, ansi color sequence, text, terminating
ansi escape, ansi color sequence, stray \r, terminating ansi escape, \n.

Any suggestions on how to resolve this?